Bug 386711 - Evince does not successfully print or print preview some PDF files
Evince does not successfully print or print preview some PDF files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
: 485235 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 08:07 EST by David Campbell
Modified: 2013-04-02 00:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple plot created using R-2.6.2 (2.85 KB, application/octet-stream)
2008-03-19 12:19 EDT, George N. White III
no flags Details
document that does not print / preview (97.76 KB, application/pdf)
2009-02-13 11:28 EST, Martin Jürgens
no flags Details

  None (edit)
Description David Campbell 2007-11-16 08:07:30 EST
Description of problem:

Evince does not successfully print preview or print this linked PDF.
http://www.mecu.com.au/imhome/attachment_stream.asp?ID=76&FootprintID=0&ProcessID=0&Filename=membership_incorporated_body.pdf

Version-Release number of selected component (if applicable):

2.20.1

How reproducible:

Always

Steps to Reproduce:
1. Open PDF
2. Choose File/Print
3. Click Print Preview or Print

Actual results:

Does not work... print preview never visible or corrupt, and no printing.

Expected results:

Print preview and printing

Additional info:
Comment 1 Mike A. Harris 2007-11-20 01:58:06 EST
Fedora 8/x86_64 here.  Just tried to reproduce this bug, and evince opens the
document ok, but when I choose print-preview as mentioned above, evince doesn't
actually do anything.  Instead, its CPU usage skyrockets and my system
interactivity degrades significantly.  Here is the output of top:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
19408 mharris   20   0  474m 105m  11m S 89.0 21.1   0:11.83 evince
file:///tmp/membership_incorporated_body-1.pdf

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
19408 mharris   20   0  474m 105m  11m S 85.0 21.1   1:25.48 evince
file:///tmp/membership_incorporated_body-1.pdf

%CPU fluctuates between 50% and 90%, but most often sticks at 85% CPU usage
until I close or kill evince.

This one is very easily reproduceable at least for me here.
Comment 2 David Campbell 2007-11-26 15:48:05 EST
Here's another PDF that does print, but shows corruption in print preview or
print, on page 1 of the print, down the bottom where the grid goes over the text:
    http://www.ato.gov.au/content/downloads/nat2939e.pdf
Comment 3 David Campbell 2008-01-15 01:34:37 EST
Still apparent in evince 2.20.2-1
Comment 4 George N. White III 2008-03-19 09:25:34 EDT
A simple plot created using R:

> pdf('R-test.pdf');plot(1:2,1:2);dev.off()
X11 
  2 

$ evince R-test.pdf &
The plot symbol is displayed as a 'q' instead of the expected
circle.  The pdf is OK with gs:

$ gs R-test.pdf 
GPL Ghostscript 8.61 (2007-11-21)
Copyright (C) 2007 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Loading Dingbats font from /usr/share/fonts/default/Type1/d050000l.pfb...
2982424 1152909 2273932 971095 3 done.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
2999088 1256682 2294028 978638 3 done.

The .pdf displays correctly using ghostscript-gtk (8.62 from development):

$ gsx R-test.pdf 
GPL Ghostscript 8.62 (2008-02-29)
Copyright (C) 2008 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Processing pages 1 through 1.
Page 1
Loading Dingbats font from /usr/share/fonts/default/Type1/d050000l.pfb...
2985824 1157926 11369356 10083195 3 done.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb...
3002488 1261687 11389452 10090762 3 done.
Comment 5 George N. White III 2008-03-19 12:19:28 EDT
Created attachment 298534 [details]
simple plot created using R-2.6.2

evince on F8 (version 2.20.2 using poppler 0.6.2) displays this file 
with the two small open circles representing data points replaced by
"q".  The pdf file works on ghostscript, kpdf, acroread, printers, 
etc.  On a debian system with evince 2.20.2 but linked to poppler 0.6.4,
the PDF file is rendered correctly.
Comment 6 Matz 2008-10-03 08:33:03 EDT
Maybe related to https://bugs.freedesktop.org/show_bug.cgi?id=12769 ?
Comment 7 Alex Wauck 2008-10-05 18:19:48 EDT
The file attached to this bug also renders incorrectly in Fedora 10 beta.
Comment 8 Jack Tanner 2008-11-05 12:56:04 EST
This is almost certainly https://bugs.freedesktop.org/show_bug.cgi?id=12769 . Note that that bug has been fixed on trunk.
Comment 9 Bug Zapper 2008-11-26 03:29:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 David Campbell 2008-12-08 16:00:45 EST
R-test.pdf issue still apparent in F10
Comment 11 Jon Dufresne 2009-02-13 11:10:13 EST
*** Bug 485235 has been marked as a duplicate of this bug. ***
Comment 12 Martin Jürgens 2009-02-13 11:28:13 EST
Created attachment 331843 [details]
document that does not print / preview

This bug is some sort of weird as it deals with two problems (printing/preview and displaying some documents).

I can confirm the original problem printing / previewing certain documents. As the link stated does not work I'll attached a document to reproduce the issue here.
Comment 13 Martin Jürgens 2009-06-16 15:29:00 EDT
it actually previews fedora 11, but generating the preview takes over one minute for one page.
Comment 15 Bug Zapper 2009-11-18 04:25:56 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-12-18 01:01:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.